Package org.apache.sysds.lops

# Enum Class MapMultChain.ChainType

java.lang.Object
java.lang.Enum<MapMultChain.ChainType>
org.apache.sysds.lops.MapMultChain.ChainType

All Implemented Interfaces:
  `Serializable`, `Comparable<MapMultChain.ChainType>`, `Constable`

Enclosing class:
  MapMultChain

public static enum MapMultChain.ChainType extends Enum<MapMultChain.ChainType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
`XtwXv`
`XtXv`
`XtXvy`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isWeighted()`
`static MapMultChain.ChainType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MapMultChain.ChainType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### XtXv

public static final MapMultChain.ChainType XtXv

### XtwXv

public static final MapMultChain.ChainType XtwXv

### XtXvy

public static final MapMultChain.ChainType XtXvy

### NONE

public static final MapMultChain.ChainType NONE

## Method Details

### values

public static MapMultChain.ChainType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MapMultChain.ChainType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isWeighted

public boolean isWeighted()